/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_get_min.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angouleme.fr  +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/11/15 13:20:22 by cchauvet          #+#    #+#             */
/*   Updated: 2022/11/17 01:00:22 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "pushswap.h"

int	get_min_index(int *tab)
{
	int	i;
	int	min;
	int	size;

	size = ft_get_last_index(tab);
	min = 0;
	i = 1;
	while (i < size)
	{
		if (tab[min] > tab[i])
			min = i;
		i++;
	}
	return (min);
}

int	get_min(int *tab, int size)
{
	return (tab[get_min_index(tab)]);
}
