/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_radix.c                                         :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angouleme.fr  +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/11/15 18:16:31 by cchauvet          #+#    #+#             */
/*   Updated: 2022/11/23 19:05:54 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "pushswap.h"

void	ft_radix_sort(int *tab_a, int *tab_b)
{
	int		i;

	while (ft_bit_finder(ft_get_bit_max(tab_a), 1) != 31)
	{
		i = 0;
		while (i < ft_tablen(tab_a))
		{
			if (((tab_a[i] >> (sizeof(int) * 8 - 1)) & 1) == 0)
				ft_r(tab_a);
			else
				ft_p(tab_a, tab_b);
			i++;
		}
		while (0 < ft_tablen(tab_b))
			ft_p(tab_b, tab_a);
	}
}
